// Frame.cpp: implementation of the CFrame class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "ptlist.h"
#include "Frame.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CFrame::CFrame()
{

}

CFrame::~CFrame()
{

}

void CFrame::Serialize( CArchive& ar )
{
	
	if( ar.IsStoring() )
	{
		int i=GetSize();
		ar.Write(&i, sizeof(i));
		for( i=0; i < GetSize(); i++ )
			GetAt(i).Serialize(ar);
	}
	else
	{
		CPoint3DArray Tmp;
		int i, j;
		RemoveAll();
		ar.Read(&i, sizeof(i));
		for( j=0; j < i; j++ )
		{
			Tmp.Serialize(ar);
			Add( Tmp );
		}
	}
}
