// Point3D.cpp: implementation of the CPoint3D class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "ptlist.h"
#include "Point3D.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////
IMPLEMENT_DYNCREATE( CPoint3D, CObject )

CPoint3D::CPoint3D()
{

}

CPoint3D::CPoint3D( const CPoint3D& Src)
{
	*this = Src;
}

CPoint3D::~CPoint3D()
{

}

void CPoint3D::Serialize(CArchive& ar)
{
	if( ar.IsStoring() )
	{
		ar.Write( &X, sizeof(X));
		ar.Write( &Y, sizeof(Y));
		ar.Write( &Z, sizeof(Z));
	}
	else
	{
		ar.Read( &X, sizeof(X));
		ar.Read( &Y, sizeof(Y));
		ar.Read( &Z, sizeof(Z));
	}
}

CPoint3D& CPoint3D::operator=( const CPoint3D& Src )
{
	X = Src.X;
	Y = Src.Y;
	Z = Src.Z;

	return( *this );
}

